; Leuchtmusterprogramm fuer AT 89 C 2051
; Es werden Zweifarb-LED's mit zwei Pins
; ueber eine Schieberegisterkette bestehend aus 6 Stck
; 74 HCT 164 angesteuert
; Quarzfrequenz 7,3728 MHz
; es knnen vier Anzeigebaugruppen angesteuert werden

	BSEG
P1.X:   EQU    97H  		;Takt BG1
P1.Y:   EQU    96H              ;Daten BG1
P2.X:   EQU    95H              ;Takt BG2
P2.Y:   EQU    94H              ;Daten BG2
P3.X:   EQU    93H		;Takt BG3
P3.Y:   EQU    92H		;Daten BG3
P4.X:   EQU    91H		;Takt BG4
P4.Y:   EQU    90H		;Daten BG4
;
	DSEG
B:	EQU    0F0H		;B-Register
PSW:    EQU    0D0H		;Flag Register
DPH:    EQU    83H		;Data-Pointer high
DPL:    EQU    82H		;Data-Pointer low
	CSEG
	ORG 0000
ANF:    ACALL LOE1
	ACALL LOE2
	ACALL LOE3
	ACALL LOE4
	MOV DPTR,#MUST
        MOV R5,#0D8H		;9 Sequenzen a 24 Byte
HP1:	CLR C			;Carry loeschen
	ACALL MUAU4		;Musterausgabe 4
	ACALL ZEIKO		;Korrektur Zeiger
	ACALL MUAU3		;Musterausgabe 3
	ACALL ZEIKO		;Korrektur Zeiger
	ACALL MUAU2		;Musterausgabe 2
	ACALL ZEIKO             ;Korrektur Zeiger
        ACALL MUAU1             ;Musterausgabe 1
	ACALL ZEIT		;Zeitschleife
        DJNZ R5,HP1             ;alle Sequenzen ?
	AJMP ANF		;
;
; Zeitschleife
;
ZEIT:   PUSH PSW
	MOV R3,#0FFH		;Zeitkonstante 1
ZK2:	MOV R4,#0FFH		;Zeitkonstante 2
ZK1:	NOP
	NOP
        NOP
	DJNZ R4,ZK1		;Schleife 1 fertig ?
	DJNZ R3,ZK2             ;Schleife 2 fertig ?
        POP PSW
	RET
;
; Loeschen der Anzeige 1
;
LOE1:   MOV B,#30H		;48 Schieberegzellen
        CLR P1.Y		;Daten auf Low
LOE11:	ACALL TAKT1		;Taktsignal 1
	DJNZ B,LOE11		;fertig ?
	RET
;
; Loeschen der Anzeige 2
;
LOE2:	MOV B,#30H		;48 Schieberegzellen
	CLR P2.Y        	;Daten auf Low
LOE21:  ACALL TAKT2             ;Taktsignal 2
	DJNZ B,LOE21		;fertig ?
	RET
;
; Loeschen der Anzeige 3
;
LOE3:  MOV B,#30H		;48 Schieberegzellen
       CLR P3.Y			;Daten auf Low
LOE31: ACALL TAKT3              ;Taktsignal 3
       DJNZ B,LOE31             ;fertig ?
       RET
;
; Loeschen der Anzeige 4
;
LOE4:  MOV B,#30H               ;48 Schieberegzellen
       CLR P4.Y			;Daten auf Low
LOE41: ACALL TAKT4              ;Taktsignal 4
       DJNZ B,LOE41             ;fertig
       RET
;
; Zeigerkorrektur
;
ZEIKO:	CLR C			;Carry loeschen
	MOV A,DPL		;Low-Zeiger nach A
	SUBB A,#06H		;um 6 Stellen aendern
	MOV DPL,A		;wieder nach DPL
	JNC ZEIKO1		;falls kein Uebertrag
	DEC DPH                 ;wenn Uebertrag
ZEIKO1: RET			;erledigt
;
; Musterausgabe 1
;
MUAU1:  MOV R2,#06H		;6 Bytes fuer Kette
BYAUS1: MOV R1,#08H		;1 Byte = 8 Bit
	MOV A,#00H		;Offset = 0
	MOVC A,@A+DPTR          ;Byte holen
BAUS1: 	RRC A                   ;Ausgabebit nach Carry
	MOV P1.Y,C		;ausgeben
	ACALL TAKT1		;Taktsignal
	DJNZ R1,BAUS1		;Byte fertig ?
	INC DPTR		;naechstes Byte
	DJNZ R2,BYAUS1		;Muster fertig
	RET
;
; Musterausgabe 2
;
MUAU2:  MOV R2,#06H		;6 Bytes fuer Kette
BYAUS2: MOV R1,#08H		;1 Byte = 8 Bit
	MOV A,#00H		;Offset = 0
	MOVC A,@A+DPTR		;Byte holen
BAUS2:  RRC A			;Ausgabebit nach Carry
	MOV P2.Y,C		;ausgeben
	ACALL TAKT2		;Taktsignal
	DJNZ R1,BAUS2		;Byte fertig ?
	INC DPTR		;naechstes Byte
	DJNZ R2,BYAUS2		;Muster fertig ?
	RET
;
; Musterausgabe 3
;
MUAU3:  MOV R2,#06H		;6 Bytes fuer Kette
BYAUS3: MOV R1,#08H		;1 Byte = 8 Bit
	MOV A,#00H		;Offset = 0
	MOVC A,@A+DPTR		;Byte holen
BAUS3:  RRC A			;Ausgabebit nach Carry
	MOV P3.Y,C		;ausgeben
	ACALL TAKT3		;Taktsignal
	DJNZ R1,BAUS3		;Byte fertig  ?
	INC DPTR		;naechstes Byte
	DJNZ R2,BYAUS3		;Muster fertig ?
	RET
;
; Musterausgabe 4
;
MUAU4:  MOV R2,#06H		;6 Bytes fuer Kette
BYAUS4: MOV R1,#08H		;1 Byte = 8 Bit
        MOV A,#00H		;Offset = 0
	MOVC A,@A+DPTR		;Byte holen
BAUS4:  RRC A                   ;Ausgabebit nach Carry
	MOV P4.Y,C		;ausgeben
	ACALL TAKT4 		;Taktsignal
	DJNZ R1,BAUS4		;Byte fertig
	INC DPTR		;naechstes Byte
	DJNZ R2,BYAUS4		;Muster fertig ?
	RET
;
; Aktivierung des Taktsignals 1
;
TAKT1:  CLR P1.X		;Takt auf Low
	SETB P1.X		;Takt auf High
	RET
;
; Aktivierung des Taktsignals 2
;
TAKT2:  CLR P2.X		;Takt auf Low
	SETB P2.X		;Takt auf High
	RET
;
; Aktvierung des Taktsignals 3
;
TAKT3:  CLR P3.X		;Takt auf Low
	SETB P3.X               ;Takt auf High
	RET
;
; Aktivierung Taktsignal 4
;
TAKT4:	CLR P4.X		;Takt auf Low
	SETB P4.X		;Takt auf High
	RET
;
; Punkt Farbe 1 und Farbe 2 abwechselnd von hinten nach vorn
MUST:
DEFB 80H, 00H, 00H, 00H, 00H, 00H
DEFB 80H, 00H, 00H, 40H, 00H, 00H
DEFB 0A0H, 00H, 00H, 40H, 00H, 00H
DEFB 0A0H, 00H, 00H, 50H, 00H, 00H
DEFB 0A8H, 00H, 00H, 50H, 00H, 00H
DEFB 0A8H, 00H, 00H, 54H, 00H, 00H
DEFB 0AAH, 00H, 00H, 54H, 00H, 00H
DEFB 0AAH, 00H, 00H, 55H, 00H, 00H
DEFB 0AAH, 80H, 00H, 55H, 00H, 00H
DEFB 0AAH, 80H, 00H, 55H, 40H, 00H
DEFB 0AAH, 0A0H, 00H, 55H, 40H, 00H
DEFB 0AAH, 0A0H, 00H, 55H, 50H, 00H
DEFB 0AAH, 0A8H, 00H, 55H, 50H, 00H
DEFB 0AAH, 0A8H, 00H, 55H, 54H, 00H
DEFB 0AAH, 0AAH, 00H, 55H, 54H, 00H
DEFB 0AAH, 0AAH, 00H, 55H, 55H, 00H
DEFB 0AAH, 0AAH, 80H, 55H, 55H, 00H
DEFB 0AAH, 0AAH, 80H, 55H, 55H, 40H
DEFB 0AAH, 0AAH, 0A0H, 55H, 55H, 40H
DEFB 0AAH, 0AAH, 0A0H, 55H, 55H, 50H
DEFB 0AAH, 0AAH, 0A8H, 55H, 55H, 50H
DEFB 0AAH, 0AAH, 0A8H, 55H, 55H, 54H
DEFB 0AAH, 0AAH, 0AAH, 55H, 55H, 54H
DEFB 0AAH, 0AAH, 0AAH, 55H, 55H, 55H
; Punkt Farbe 1 von vorn nach hinten
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0FFH, 0FEH
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0FFH, 0FDH
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0FFH, 0FBH
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0FFH, 0F7H
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0FFH, 0EFH
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0FFH, 0DFH
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0FFH, 0BFH
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0FFH, 7FH
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0FEH, 0FFH
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0FDH, 0FFH
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0FBH, 0FFH
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0F7H, 0FFH
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0EFH, 0FFH
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0DFH, 0FFH
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0BFH, 0FFH
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 7FH, 0FFH
DEFB 0FFH, 0FFH, 0FFH, 0FEH, 0FFH, 0FFH
DEFB 0FFH, 0FFH, 0FFH, 0FDH, 0FFH, 0FFH
DEFB 0FFH, 0FFH, 0FFH, 0FBH, 0FFH, 0FFH
DEFB 0FFH, 0FFH, 0FFH, 0F7H, 0FFH, 0FFH
DEFB 0FFH, 0FFH, 0FFH, 0EFH, 0FFH, 0FFH
DEFB 0FFH, 0FFH, 0FFH, 0DFH, 0FFH, 0FFH
DEFB 0FFH, 0FFH, 0FFH, 0BFH, 0FFH, 0FFH
DEFB 0FFH, 0FFH, 0FFH, 7FH, 0FFH, 0FFH
; Farbe 2 von hinten nach vorn
DEFB 7FH, 0FFH, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 0BFH, 0FFH, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 0DFH, 0FFH, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 0EFH, 0FFH, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 0F7H, 0FFH, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 0FBH, 0FFH, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 0FDH, 0FFH, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 0FEH, 0FFH, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 7FH, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 0BFH, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 0DFH, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 0EFH, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 0F7H, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 0FBH, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 0FDH, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 0FEH, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 0FFH, 7FH, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 0FFH, 0BFH, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 0FFH, 0DFH, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 0FFH, 0EFH, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 0FFH, 0F7H, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 0FFH, 0FBH, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 0FFH, 0FDH, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 0FFH, 0FEH, 0FFH, 0FFH, 0FFH
; Punkt Farbe 2 von vorn nach hinten
DEFB 00H, 00H, 00H, 00H, 00H, 01H
DEFB 00H, 00H, 00H, 00H, 00H, 02H
DEFB 00H, 00H, 00H, 00H, 00H, 04H
DEFB 00H, 00H, 00H, 00H, 00H, 08H
DEFB 00H, 00H, 00H, 00H, 00H, 10H
DEFB 00H, 00H, 00H, 00H, 00H, 20H
DEFB 00H, 00H, 00H, 00H, 00H, 40H
DEFB 00H, 00H, 00H, 00H, 00H, 80H
DEFB 00H, 00H, 00H, 00H, 01H, 00H
DEFB 00H, 00H, 00H, 00H, 02H, 00H
DEFB 00H, 00H, 00H, 00H, 04H, 00H
DEFB 00H, 00H, 00H, 00H, 08H, 00H
DEFB 00H, 00H, 00H, 00H, 10H, 00H
DEFB 00H, 00H, 00H, 00H, 20H, 00H
DEFB 00H, 00H, 00H, 00H, 40H, 00H
DEFB 00H, 00H, 00H, 00H, 80H, 00H
DEFB 00H, 00H, 00H, 01H, 00H, 00H
DEFB 00H, 00H, 00H, 02H, 00H, 00H
DEFB 00H, 00H, 00H, 04H, 00H, 00H
DEFB 00H, 00H, 00H, 08H, 00H, 00H
DEFB 00H, 00H, 00H, 10H, 00H, 00H
DEFB 00H, 00H, 00H, 20H, 00H, 00H
DEFB 00H, 00H, 00H, 40H, 00H, 00H
DEFB 00H, 00H, 00H, 80H, 00H, 00H
; Farbe 1 nach vorn akkumulierend
DEFB 80H, 00H, 00H, 00H, 00H, 00H
DEFB 0C0H, 00H, 00H, 00H, 00H, 00H
DEFB 0E0H, 00H, 00H, 00H, 00H, 00H
DEFB 0F0H, 00H, 00H, 00H, 00H, 00H
DEFB 0F8H, 00H, 00H, 00H, 00H, 00H
DEFB 0FCH, 00H, 00H, 00H, 00H, 00H
DEFB 0FEH, 00H, 00H, 00H, 00H, 00H
DEFB 0FFH, 00H, 00H, 00H, 00H, 00H
DEFB 0FFH, 80H, 00H, 00H, 00H, 00H
DEFB 0FFH, 0C0H, 00H, 00H, 00H, 00H
DEFB 0FFH, 0E0H, 00H, 00H, 00H, 00H
DEFB 0FFH, 0F0H, 00H, 00H, 00H, 00H
DEFB 0FFH, 0F8H, 00H, 00H, 00H, 00H
DEFB 0FFH, 0FCH, 00H, 00H, 00H, 00H
DEFB 0FFH, 0FEH, 00H, 00H, 00H, 00H
DEFB 0FFH, 0FFH, 00H, 00H, 00H, 00H
DEFB 0FFH, 0FFH, 80H, 00H, 00H, 00H
DEFB 0FFH, 0FFH, 0C0H, 00H, 00H, 00H
DEFB 0FFH, 0FFH, 0E0H, 00H, 00H, 00H
DEFB 0FFH, 0FFH, 0F0H, 00H, 00H, 00H
DEFB 0FFH, 0FFH, 0F8H, 00H, 00H, 00H
DEFB 0FFH, 0FFH, 0FCH, 00H, 00H, 00H
DEFB 0FFH, 0FFH, 0FEH, 00H, 00H, 00H
DEFB 0FFH, 0FFH, 0FFH, 00H, 00H, 00H
; Farbe 1 von vorn akkumulierend
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0FFH, 0FEH
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0FFH, 0FCH
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0FFH, 0F8H
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0FFH, 0F0H
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0FFH, 0E0H
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0FFH, 0C0H
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0FFH, 80H
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0FFH, 00H
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0FEH, 00H
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0FCH, 00H
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0F8H, 00H
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0F0H, 00H
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0E0H, 00H
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 0C0H, 00H
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 80H, 00H
DEFB 0FFH, 0FFH, 0FFH, 0FFH, 00H, 00H
DEFB 0FFH, 0FFH, 0FFH, 0FEH, 00H, 00H
DEFB 0FFH, 0FFH, 0FFH, 0FCH, 00H, 00H
DEFB 0FFH, 0FFH, 0FFH, 0F8H, 00H, 00H
DEFB 0FFH, 0FFH, 0FFH, 0F0H, 00H, 00H
DEFB 0FFH, 0FFH, 0FFH, 0E0H, 00H, 00H
DEFB 0FFH, 0FFH, 0FFH, 0C0H, 00H, 00H
DEFB 0FFH, 0FFH, 0FFH, 80H, 00H, 00H
DEFB 0FFH, 0FFH, 0FFH, 00H, 00H, 00H
; Farbe 2 von hinten akkumulierend
DEFB 7FH, 0FFH, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 3FH, 0FFH, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 1FH, 0FFH, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 0FH, 0FFH, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 07H, 0FFH, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 03H, 0FFH, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 01H, 0FFH, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 00H, 0FFH, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 00H, 7FH, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 00H, 3FH, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 00H, 1FH, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 00H, 0FH, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 00H, 07H, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 00H, 03H, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 00H, 01H, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 00H, 00H, 0FFH, 0FFH, 0FFH, 0FFH
DEFB 00H, 00H, 7FH, 0FFH, 0FFH, 0FFH
DEFB 00H, 00H, 3FH, 0FFH, 0FFH, 0FFH
DEFB 00H, 00H, 1FH, 0FFH, 0FFH, 0FFH
DEFB 00H, 00H, 0FH, 0FFH, 0FFH, 0FFH
DEFB 00H, 00H, 07H, 0FFH, 0FFH, 0FFH
DEFB 00H, 00H, 03H, 0FFH, 0FFH, 0FFH
DEFB 00H, 00H, 01H, 0FFH, 0FFH, 0FFH
DEFB 00H, 00H, 00H, 0FFH, 0FFH, 0FFH
;Farbe 2 von vorn akkumulierend
DEFB 0FFH, 0FFH, 0FEH, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 0FFH, 0FCH, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 0FFH, 0F8H, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 0FFH, 0F0H, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 0FFH, 0E0H, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 0FFH, 0C0H, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 0FFH, 80H, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 0FFH, 00H, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 0FEH, 00H, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 0FCH, 00H, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 0F8H, 00H, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 0F0H, 00H, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 0E0H, 00H, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 0C0H, 00H, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 80H, 00H, 0FFH, 0FFH, 0FFH
DEFB 0FFH, 00H, 00H, 0FFH, 0FFH, 0FFH
DEFB 0FEH, 00H, 00H, 0FFH, 0FFH, 0FFH
DEFB 0FCH, 00H, 00H, 0FFH, 0FFH, 0FFH
DEFB 0F8H, 00H, 00H, 0FFH, 0FFH, 0FFH
DEFB 0F0H, 00H, 00H, 0FFH, 0FFH, 0FFH
DEFB 0E0H, 00H, 00H, 0FFH, 0FFH, 0FFH
DEFB 0C0H, 00H, 00H, 0FFH, 0FFH, 0FFH
DEFB 80H, 00H, 00H, 0FFH, 0FFH, 0FFH
DEFB 00H, 00H, 00H, 0FFH, 0FFH, 0FFH
; von zwei Seiten aufeinander zu und auseinander
DEFB 80H, 00H, 01H, 00H, 00H, 00H
DEFB 0C0H, 00H, 03H, 00H, 00H, 00H
DEFB 0E0H, 00H, 07H, 00H, 00H, 00H
DEFB 0F0H, 00H, 0FH, 00H, 00H, 00H
DEFB 0F8H, 00H, 1FH, 00H, 00H, 00H
DEFB 0FCH, 00H, 3FH, 00H, 00H, 00H
DEFB 0FEH, 00H, 7FH, 00H, 00H, 00H
DEFB 0FFH, 00H, 0FFH, 00H, 00H, 00H
DEFB 0FFH, 81H, 0FFH, 00H, 00H, 00H
DEFB 0FFH, 0C3H, 0FFH, 00H, 00H, 00H
DEFB 0FFH, 0E7H, 0FFH, 00H, 00H, 00H
DEFB 0FFH, 0FFH, 0FFH, 00H, 00H, 00H
DEFB 0FFH, 0E7H, 0FFH, 00H, 00H, 00H
DEFB 0FFH, 0C3H, 0FFH, 00H, 00H, 00H
DEFB 0FFH, 81H, 0FFH, 00H, 00H, 00H
DEFB 0FFH, 00H, 0FFH, 00H, 00H, 00H
DEFB 0FEH, 00H, 7FH, 00H, 00H, 00H
DEFB 0FCH, 00H, 3FH, 00H, 00H, 00H
DEFB 0F8H, 00H, 1FH, 00H, 00H, 00H
DEFB 0F0H, 00H, 0FH, 00H, 00H, 00H
DEFB 0E0H, 00H, 07H, 00H, 00H, 00H
DEFB 0C0H, 00H, 03H, 00H, 00H, 00H
DEFB 80H, 00H, 01H, 00H, 00H, 00H
DEFB 00H, 00H, 00H, 00H, 00H, 00H
DEFB 00H, 00H, 00H, 00H, 00H, 00H
;
DEFB 00H
DEFB 00H
DEFB 0DH
DEFB 0AH
DEFB 0DH
DEFB 0AH
DEFB 0DH
DEFB 0AH